%define upstream_name    SUPER
%define upstream_version 1.20141117

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Internal class to access superclass methods
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Scalar::Util) >= 1.200.0
BuildRequires: perl(Sub::Identify) >= 0.30.0
BuildRequires: perl(Test::Simple) >= 0.610.0
BuildArch:  noarch

%description
When subclassing a class, you occasionally want to dispatch control to the
superclass -- at least conditionally and temporarily. The Perl syntax for
calling your superclass is ugly and unwieldy:

    $self->SUPER::method(@_);

especially when compared to its Ruby equivalent:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.201.411.170-3.mga6
+ Revision: 1033562
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.201.411.170-2.mga6
+ Revision: 969190
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 1.201.411.170-1.mga6
+ Revision: 864429
- update to 1.20141117

* Sun Oct 19 2014 umeabot <umeabot> 1.201.207.50-6.mga5
+ Revision: 790313
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.201.207.50-5.mga5
+ Revision: 743152
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.201.207.50-4.mga5
+ Revision: 686151
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.201.207.50-3.mga4
+ Revision: 514593
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.201.207.50-2.mga3
+ Revision: 372444
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 jquelin <jquelin> 1.201.207.50-1.mga3
+ Revision: 270330
- update to 1.20120705

* Wed Jun 22 2011 jquelin <jquelin> 1.170.0-1.mga2
+ Revision: 112248
- adding missing buildrequires:
- imported package perl-SUPER


* Wed Jun 22 2011 cpan2dist 1.17-1mga
- initial mageia release, generated with cpan2dist
